<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/flChatRoot"
    android:layout_width="274dp"
    android:layout_height="171dp">

    <FrameLayout
        android:id="@+id/flChatPop"
        android:layout_width="274dp"
        android:layout_height="171dp"
        android:visibility="gone">

        <FrameLayout
            android:id="@+id/flChatBackground"
            android:layout_width="255dp"
            android:layout_height="152dp"
            android:layout_gravity="bottom"
            android:background="@drawable/ezm_chat_bg"
            android:visibility="gone" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvChatList"
            android:layout_width="255dp"
            android:layout_height="152dp"
            android:layout_gravity="bottom"
            android:layout_marginTop="10dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:paddingBottom="33dp"/>

        <View
            android:id="@+id/viewChatArea"
            android:layout_width="255dp"
            android:layout_height="120dp"
            android:layout_gravity="bottom"
            android:layout_marginBottom="33dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivChatClose"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:visibility="gone"
            app:srcCompat="@drawable/ys_mt_svg_chat_close" />
    </FrameLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/ivChatPop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:layout_marginBottom="12dp"
        android:visibility="gone"
        app:srcCompat="@drawable/ys_mt_svg_chat_pop" />

    <FrameLayout
        android:id="@+id/flChatInputBtn"
        android:layout_width="22dp"
        android:layout_height="22dp"
        android:layout_marginBottom="5dp"
        android:layout_marginLeft="12dp"
        android:layout_gravity="bottom"
        android:background="@drawable/ezm_chat_msg_bg">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_gravity="center"
            app:srcCompat="@drawable/ys_mt_svg_chat_msg_btn" />
    </FrameLayout>


</FrameLayout>